package edu.mermet.tp8.fenetres;

import javax.swing.*;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import java.awt.*;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.io.FileInputStream;
import java.io.FileReader;
import java.io.IOException;
import java.util.Properties;

public class FenetreAide extends JFrame {
    public FenetreAide() throws IOException {
        //liste des choix
        String choix[]={"comment faire","quitter","conversion celsius farenheit","conversion  farenheit celsius","mettre du texte en gras","changer la couleur du texte"};
        //création de la fenetre d'aide
        JFrame aide=new JFrame();
        aide.setTitle("Menu Aide");
        aide.setSize(400,400);
        aide.setVisible(true);
        aide.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
        aide.setLocationRelativeTo(null);
        JTextArea text=new JTextArea("Affichage de l'aide");
        //liste
        JList guide=new JList(choix);
        guide.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
        guide.setLayoutOrientation(JList.VERTICAL);
        guide.setVisibleRowCount(-1);
        JScrollPane listScroller = new JScrollPane(guide);
        listScroller.setPreferredSize(new Dimension(250, 80));
        guide.addListSelectionListener(new ListSelectionListener() {
            @Override
            public void valueChanged(ListSelectionEvent e) {
                if(e.getSource()=="quitter"){
                    System.out.println(e.getSource());
                }
            }
        });
        //panneau des listes
        JPanel listPanel=new JPanel();
        listPanel.add(guide);
        //panneau du texte HTML
        JPanel textPanel=new JPanel();
        textPanel.add(text);
        //séparateur
        JSplitPane jSplitPane=new JSplitPane(SwingConstants.VERTICAL,listPanel,textPanel);
        aide.add(jSplitPane);
    }
}
